Ubuntu

[Acer AO751h] choppy sounds, lots of rewinds

Reported by Lucazade on 2013-02-24
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

I get choppy sound with lots of rewinds in Raring 13.04.

WORKAROUND: Killing pulseaudio makes playback normal.

WORKAROUND: echo "options snd-hda-intel position_fix=1" | sudo tee -a /etc/modprobe.d/alsa-base.conf

Attached there is a pulseaudio log starting the daemon from console.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: pulseaudio 1:3.0-0ubuntu3
ProcVersionSignature: Ubuntu 3.8.0-7.15-generic 3.8.0
Uname: Linux 3.8.0-7-generic i686
ApportVersion: 2.8-0ubuntu4
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: luca 2972 F.... pulseaudio
Date: Sun Feb 24 23:21:22 2013
InstallationDate: Installed on 2013-02-24 (0 days ago)
InstallationMedia: Kubuntu 13.04 "Raring Ringtail" - Alpha i386 (20130224)
MarkForUpload: True
SourcePackage: pulseaudio
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 02/26/2010
dmi.bios.vendor: Acer
dmi.bios.version: V0.3212
dmi.board.name: JV11-ML
dmi.board.vendor: Acer
dmi.board.version: Not Applicable
dmi.chassis.type: 1
dmi.chassis.vendor: Acer
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAcer:bvrV0.3212:bd02/26/2010:svnAcer:pnAO751h:pvrNotApplicable:rvnAcer:rnJV11-ML:rvrNotApplicable:cvnAcer:ct1:cvrN/A:
dmi.product.name: AO751h
dmi.product.version: Not Applicable
dmi.sys.vendor: Acer

Lucazade (lucazade) wrote :
Lucazade (lucazade) wrote :

this temporary fixes the problem:
echo "options snd-hda-intel position_fix=1" | sudo tee -a /etc/modprobe.d/alsa-base.conf

Lucazade (lucazade) wrote :

confirmed because reinstalled raring from scratch and issue still present.. also a regression from previous ubuntu releases

Changed in pulseaudio (Ubuntu):
status: New → Confirmed
David Henningsson (diwic) wrote :

Hi Lucazade!

If you can confirm that both playback and recording works fine with "options snd-hda-intel position_fix=1", I can submit a kernel patch to make this the default for your particular machine.

Changed in pulseaudio (Ubuntu):
status: Confirmed → Incomplete
David Henningsson (diwic) wrote :

You can also try "options snd-hda-intel position_fix=4" to see if that works better than position_fix=1.

Lucazade (lucazade) wrote :

Hi David!

I'll try fix=4 as soon as I can...
Btw there was already a fixed bug in launchpad some months ago about this particular bug,
it was present especially on machine with Intel gma500.
Unfortunately I wasn't able to find the # of the bug report.

I believe that some patches to fix this bug are missing in the latest pulseaudio release.
If you need any info let me know.

David Henningsson (diwic) wrote :

> I believe that some patches to fix this bug are missing in the latest pulseaudio release.

In your case, I think it has to do with the fact that POS_FIX_COMBO was removed from the kernel by default. It was removed in kernel 3.7 and I don't know the details why.

> If you need any info let me know.

I would like you to reconfirm that both playback and recording works well with position_fix=1 and/or position_fix=4.

Lucazade (lucazade) wrote :

@David
both fix=1 and fix=4 work correctly.. i'm not able to see any diff in the logs.

Lucazade (lucazade) wrote :

fix=4 log

dino99 (9d9) on 2013-02-26
Changed in pulseaudio (Ubuntu):
status: Incomplete → Confirmed
summary: - choppy sounds, lots of rewinds
+ [Acer AOA751h] choppy sounds, lots of rewinds
summary: - [Acer AOA751h] choppy sounds, lots of rewinds
+ [Acer AO751h] choppy sounds, lots of rewinds

The user reports a regression (choppy audio), and that
position_fix=1 (or position_fix=4) fixes the issue.

This is a Poulsbo controller (8086:811b (rev 07)), so might be
worth checking if other Poulsbo machines suffer from the same bug.

Cc: <email address hidden> [v3.7+]
BugLink: https://bugs.launchpad.net/bugs/1132562
Signed-off-by: David Henningsson <email address hidden>
---
 sound/pci/hda/hda_intel.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/sound/pci/hda/hda_intel.c b/sound/pci/hda/hda_intel.c
index 4cea6bb6..3505f1e 100644
--- a/sound/pci/hda/hda_intel.c
+++ b/sound/pci/hda/hda_intel.c
@@ -3114,6 +3114,7 @@ static bool check_hdmi_disabled(struct pci_dev *pci)
  * white/black-listing for position_fix
  */
 static struct snd_pci_quirk position_fix_list[] = {
+ SND_PCI_QUIRK(0x1025, 0x0244, "Acer AO751h", POS_FIX_LPIB),
  SND_PCI_QUIRK(0x1028, 0x01cc, "Dell D820", POS_FIX_LPIB),
  SND_PCI_QUIRK(0x1028, 0x01de, "Dell Precision 390", POS_FIX_LPIB),
  SND_PCI_QUIRK(0x103c, 0x306d, "HP dv3", POS_FIX_LPIB),
--
1.7.9.5

affects: pulseaudio (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
assignee: nobody → David Henningsson (diwic)
status: Confirmed → In Progress
Takashi Iwai (tiwai) wrote :

At Thu, 28 Feb 2013 08:18:30 +0100,
David Henningsson wrote:
>
> The user reports a regression (choppy audio), and that
> position_fix=1 (or position_fix=4) fixes the issue.
>
> This is a Poulsbo controller (8086:811b (rev 07)), so might be
> worth checking if other Poulsbo machines suffer from the same bug.
>
> Cc: <email address hidden> [v3.7+]
> BugLink: https://bugs.launchpad.net/bugs/1132562
> Signed-off-by: David Henningsson <email address hidden>

Please check whether the latest sound git tree works as is.
We enabled the LPIB delay counting for Poulsbo there, and it may fix
most cases.

Takashi

> ---
> sound/pci/hda/hda_intel.c | 1 +
> 1 file changed, 1 insertion(+)
>
> diff --git a/sound/pci/hda/hda_intel.c b/sound/pci/hda/hda_intel.c
> index 4cea6bb6..3505f1e 100644
> --- a/sound/pci/hda/hda_intel.c
> +++ b/sound/pci/hda/hda_intel.c
> @@ -3114,6 +3114,7 @@ static bool check_hdmi_disabled(struct pci_dev *pci)
> * white/black-listing for position_fix
> */
> static struct snd_pci_quirk position_fix_list[] = {
> + SND_PCI_QUIRK(0x1025, 0x0244, "Acer AO751h", POS_FIX_LPIB),
> SND_PCI_QUIRK(0x1028, 0x01cc, "Dell D820", POS_FIX_LPIB),
> SND_PCI_QUIRK(0x1028, 0x01de, "Dell Precision 390", POS_FIX_LPIB),
> SND_PCI_QUIRK(0x103c, 0x306d, "HP dv3", POS_FIX_LPIB),
> --
> 1.7.9.5
>

David Henningsson (diwic) wrote :

On 02/28/2013 08:21 AM, Takashi Iwai wrote:
> At Thu, 28 Feb 2013 08:18:30 +0100,
> David Henningsson wrote:
>>
>> The user reports a regression (choppy audio), and that
>> position_fix=1 (or position_fix=4) fixes the issue.
>>
>> This is a Poulsbo controller (8086:811b (rev 07)), so might be
>> worth checking if other Poulsbo machines suffer from the same bug.
>>
>> Cc: <email address hidden> [v3.7+]
>> BugLink: https://bugs.launchpad.net/bugs/1132562
>> Signed-off-by: David Henningsson <email address hidden>
>
> Please check whether the latest sound git tree works as is.
> We enabled the LPIB delay counting for Poulsbo there, and it may fix
> most cases.

The test was done on a 3.8 based kernel. Isn't LPIB delay counting
enabled there as well?

(Alsa-info is here: https://launchpadlibrarian.net/132247367/AlsaInfo.txt )

>
>
> Takashi
>
>
>> ---
>> sound/pci/hda/hda_intel.c | 1 +
>> 1 file changed, 1 insertion(+)
>>
>> diff --git a/sound/pci/hda/hda_intel.c b/sound/pci/hda/hda_intel.c
>> index 4cea6bb6..3505f1e 100644
>> --- a/sound/pci/hda/hda_intel.c
>> +++ b/sound/pci/hda/hda_intel.c
>> @@ -3114,6 +3114,7 @@ static bool check_hdmi_disabled(struct pci_dev *pci)
>> * white/black-listing for position_fix
>> */
>> static struct snd_pci_quirk position_fix_list[] = {
>> + SND_PCI_QUIRK(0x1025, 0x0244, "Acer AO751h", POS_FIX_LPIB),
>> SND_PCI_QUIRK(0x1028, 0x01cc, "Dell D820", POS_FIX_LPIB),
>> SND_PCI_QUIRK(0x1028, 0x01de, "Dell Precision 390", POS_FIX_LPIB),
>> SND_PCI_QUIRK(0x103c, 0x306d, "HP dv3", POS_FIX_LPIB),
>> --
>> 1.7.9.5
>>
>

--
David Henningsson, Canonical Ltd.
https://launchpad.net/~diwic

Takashi Iwai (tiwai) wrote :

At Thu, 28 Feb 2013 09:49:23 +0100,
David Henningsson wrote:
>
> On 02/28/2013 08:21 AM, Takashi Iwai wrote:
> > At Thu, 28 Feb 2013 08:18:30 +0100,
> > David Henningsson wrote:
> >>
> >> The user reports a regression (choppy audio), and that
> >> position_fix=1 (or position_fix=4) fixes the issue.
> >>
> >> This is a Poulsbo controller (8086:811b (rev 07)), so might be
> >> worth checking if other Poulsbo machines suffer from the same bug.
> >>
> >> Cc: <email address hidden> [v3.7+]
> >> BugLink: https://bugs.launchpad.net/bugs/1132562
> >> Signed-off-by: David Henningsson <email address hidden>
> >
> > Please check whether the latest sound git tree works as is.
> > We enabled the LPIB delay counting for Poulsbo there, and it may fix
> > most cases.
>
> The test was done on a 3.8 based kernel. Isn't LPIB delay counting
> enabled there as well?

No, it was added fairly recently.
I didn't put Cc to stable for the commit
f748abcc5bf62de007019d841f7caba81cc3d673. If this is confirmed to
work in general for Poulsbo, we can merge to stable.

But, overall I wonder why POSFIX_LPIB is needed for this device.
In the recent kernels up to 3.8, LPIB is used as default for Poulsbo.

Takashi

Takashi

>
> (Alsa-info is here: https://launchpadlibrarian.net/132247367/AlsaInfo.txt )
>
> >
> >
> > Takashi
> >
> >
> >> ---
> >> sound/pci/hda/hda_intel.c | 1 +
> >> 1 file changed, 1 insertion(+)
> >>
> >> diff --git a/sound/pci/hda/hda_intel.c b/sound/pci/hda/hda_intel.c
> >> index 4cea6bb6..3505f1e 100644
> >> --- a/sound/pci/hda/hda_intel.c
> >> +++ b/sound/pci/hda/hda_intel.c
> >> @@ -3114,6 +3114,7 @@ static bool check_hdmi_disabled(struct pci_dev *pci)
> >> * white/black-listing for position_fix
> >> */
> >> static struct snd_pci_quirk position_fix_list[] = {
> >> + SND_PCI_QUIRK(0x1025, 0x0244, "Acer AO751h", POS_FIX_LPIB),
> >> SND_PCI_QUIRK(0x1028, 0x01cc, "Dell D820", POS_FIX_LPIB),
> >> SND_PCI_QUIRK(0x1028, 0x01de, "Dell Precision 390", POS_FIX_LPIB),
> >> SND_PCI_QUIRK(0x103c, 0x306d, "HP dv3", POS_FIX_LPIB),
> >> --
> >> 1.7.9.5
> >>
> >
>
>
>
> --
> David Henningsson, Canonical Ltd.
> https://launchpad.net/~diwic
>

David Henningsson (diwic) wrote :

On 02/28/2013 10:29 AM, Takashi Iwai wrote:
> At Thu, 28 Feb 2013 09:49:23 +0100,
> David Henningsson wrote:
>>
>> On 02/28/2013 08:21 AM, Takashi Iwai wrote:
>>> At Thu, 28 Feb 2013 08:18:30 +0100,
>>> David Henningsson wrote:
>>>>
>>>> The user reports a regression (choppy audio), and that
>>>> position_fix=1 (or position_fix=4) fixes the issue.
>>>>
>>>> This is a Poulsbo controller (8086:811b (rev 07)), so might be
>>>> worth checking if other Poulsbo machines suffer from the same bug.
>>>>
>>>> Cc: <email address hidden> [v3.7+]
>>>> BugLink: https://bugs.launchpad.net/bugs/1132562
>>>> Signed-off-by: David Henningsson <email address hidden>
>>>
>>> Please check whether the latest sound git tree works as is.
>>> We enabled the LPIB delay counting for Poulsbo there, and it may fix
>>> most cases.
>>
>> The test was done on a 3.8 based kernel. Isn't LPIB delay counting
>> enabled there as well?
>
> No, it was added fairly recently.
> I didn't put Cc to stable for the commit
> f748abcc5bf62de007019d841f7caba81cc3d673. If this is confirmed to
> work in general for Poulsbo, we can merge to stable.
>
> But, overall I wonder why POSFIX_LPIB is needed for this device.
> In the recent kernels up to 3.8, LPIB is used as default for Poulsbo.

According to "git describe --contains", this commit was added to
v3.8-rc6, and released into Ubuntu before this bug was filed. Probably
this commit is was what caused the regression then, and so the cc to
stable should be to 3.8+, not 3.7+.

> Takashi
>
>
> Takashi

Have you cloned yourself, or is it just a race condition? :-)

>
>>
>> (Alsa-info is here: https://launchpadlibrarian.net/132247367/AlsaInfo.txt )
>>
>>>
>>>
>>> Takashi
>>>
>>>
>>>> ---
>>>> sound/pci/hda/hda_intel.c | 1 +
>>>> 1 file changed, 1 insertion(+)
>>>>
>>>> diff --git a/sound/pci/hda/hda_intel.c b/sound/pci/hda/hda_intel.c
>>>> index 4cea6bb6..3505f1e 100644
>>>> --- a/sound/pci/hda/hda_intel.c
>>>> +++ b/sound/pci/hda/hda_intel.c
>>>> @@ -3114,6 +3114,7 @@ static bool check_hdmi_disabled(struct pci_dev *pci)
>>>> * white/black-listing for position_fix
>>>> */
>>>> static struct snd_pci_quirk position_fix_list[] = {
>>>> + SND_PCI_QUIRK(0x1025, 0x0244, "Acer AO751h", POS_FIX_LPIB),
>>>> SND_PCI_QUIRK(0x1028, 0x01cc, "Dell D820", POS_FIX_LPIB),
>>>> SND_PCI_QUIRK(0x1028, 0x01de, "Dell Precision 390", POS_FIX_LPIB),
>>>> SND_PCI_QUIRK(0x103c, 0x306d, "HP dv3", POS_FIX_LPIB),
>>>> --
>>>> 1.7.9.5
>>>>
>>>
>>
>>
>>
>> --
>> David Henningsson, Canonical Ltd.
>> https://launchpad.net/~diwic
>>
>

--
David Henningsson, Canonical Ltd.
https://launchpad.net/~diwic

Takashi Iwai (tiwai) wrote :

At Thu, 28 Feb 2013 11:05:20 +0100,
David Henningsson wrote:
>
> On 02/28/2013 10:29 AM, Takashi Iwai wrote:
> > At Thu, 28 Feb 2013 09:49:23 +0100,
> > David Henningsson wrote:
> >>
> >> On 02/28/2013 08:21 AM, Takashi Iwai wrote:
> >>> At Thu, 28 Feb 2013 08:18:30 +0100,
> >>> David Henningsson wrote:
> >>>>
> >>>> The user reports a regression (choppy audio), and that
> >>>> position_fix=1 (or position_fix=4) fixes the issue.
> >>>>
> >>>> This is a Poulsbo controller (8086:811b (rev 07)), so might be
> >>>> worth checking if other Poulsbo machines suffer from the same bug.
> >>>>
> >>>> Cc: <email address hidden> [v3.7+]
> >>>> BugLink: https://bugs.launchpad.net/bugs/1132562
> >>>> Signed-off-by: David Henningsson <email address hidden>
> >>>
> >>> Please check whether the latest sound git tree works as is.
> >>> We enabled the LPIB delay counting for Poulsbo there, and it may fix
> >>> most cases.
> >>
> >> The test was done on a 3.8 based kernel. Isn't LPIB delay counting
> >> enabled there as well?
> >
> > No, it was added fairly recently.
> > I didn't put Cc to stable for the commit
> > f748abcc5bf62de007019d841f7caba81cc3d673. If this is confirmed to
> > work in general for Poulsbo, we can merge to stable.
> >
> > But, overall I wonder why POSFIX_LPIB is needed for this device.
> > In the recent kernels up to 3.8, LPIB is used as default for Poulsbo.
>
> According to "git describe --contains", this commit was added to
> v3.8-rc6, and released into Ubuntu before this bug was filed.

Ah, right, I forgot it was included in 3.8-final...

> Probably
> this commit is was what caused the regression then, and so the cc to
> stable should be to 3.8+, not 3.7+.

Possible. We seem have no reliable generic solution for Poulsbo,
unfortunately.

But, POSFIX_LPIB is most likely buggy in the regard of capture.
Can the tester check whether the recording really works, also without
pulseaudio, too?) I guess POSFIX_COMBO would work better for Poulsbo.

(Oh I dropped AZX_DCAPS_POSFIX_COMBO, and we may need to revive in in
 bit 24)

>
> > Takashi
> >
> >
> > Takashi
>
> Have you cloned yourself, or is it just a race condition? :-)

It must be a dejavu, aka a bug, due to a lack of caffeine.

Takashi

Changed in linux (Ubuntu):
status: In Progress → Triaged
tags: added: latest-bios-3212 needs-bisect needs-upstream-testing regression-release
description: updated
Changed in linux (Ubuntu):
importance: Undecided → Low
Changed in linux (Ubuntu):
assignee: David Henningsson (diwic) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers